Auctions
GET /auctions/{auctionId}/highest-bid
Get the current highest bid
GET
/
auctions
/
{auctionId}
/
highest-bid
cURL
curl --request GET \
--url https://consumer.fanfare.io/api/auctions/{auctionId}/highest-bidconst options = {method: 'GET'};
fetch('https://consumer.fanfare.io/api/auctions/{auctionId}/highest-bid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/auctions/{auctionId}/highest-bid"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/auctions/{auctionId}/highest-bid"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"amount": "<string>"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I
cURL
curl --request GET \
--url https://consumer.fanfare.io/api/auctions/{auctionId}/highest-bidconst options = {method: 'GET'};
fetch('https://consumer.fanfare.io/api/auctions/{auctionId}/highest-bid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/auctions/{auctionId}/highest-bid"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/auctions/{auctionId}/highest-bid"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"amount": "<string>"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}